libzypp: zypp::ProblemSolution::Impl Class Reference

libzypp 17.38.13

zypp::ProblemSolution::Impl Class Reference

ProblemSolution implementation. More...

## Public Member Functions
| Impl ()
| Impl (std::string &&description)
| Impl (std::string &&description, std::string &&details)
std::set< PoolItem > | collectActionItems () const
template<typename Predicate>
bool | allActionsMatch (Predicate &&predicate) const

## Public Attributes
std::string | _description
std::string | _details
SolutionActionList | _actions

## Private Member Functions
Impl * | clone () const
| clone for RWCOW_pointer

## Friends
Impl * | rwcowClone (const Impl *rhs)

## Detailed Description

ProblemSolution implementation.

Definition at line 45 of file ProblemSolution.cc.

## Constructor & Destructor Documentation

## ◆ Impl() [1/3]

zypp::ProblemSolution::Impl::Impl | ( |  | ) |
| inline

Definition at line 47 of file ProblemSolution.cc.

## ◆ Impl() [2/3]

zypp::ProblemSolution::Impl::Impl | ( | std::string && | description | ) |
| inline

Definition at line 50 of file ProblemSolution.cc.

## ◆ Impl() [3/3]

zypp::ProblemSolution::Impl::Impl | ( | std::string && | description,
|  | std::string && | details )
| inline

Definition at line 54 of file ProblemSolution.cc.

## Member Function Documentation

## ◆ collectActionItems()

std::set< PoolItem > zypp::ProblemSolution::Impl::collectActionItems | ( |  | ) | const
| inline

Definition at line 63 of file ProblemSolution.cc.

## ◆ allActionsMatch()

template<typename Predicate>

bool zypp::ProblemSolution::Impl::allActionsMatch | ( | Predicate && | predicate | ) | const
| inline

Definition at line 72 of file ProblemSolution.cc.

## ◆ clone()

Impl * zypp::ProblemSolution::Impl::clone | ( |  | ) | const
| inlineprivate

clone for RWCOW_pointer

Definition at line 85 of file ProblemSolution.cc.

## Friends And Related Symbol Documentation

## ◆ rwcowClone

Impl * rwcowClone | ( | const Impl * | rhs | ) |
| friend

## Member Data Documentation

## ◆ _description

std::string zypp::ProblemSolution::Impl::_description

Definition at line 59 of file ProblemSolution.cc.

## ◆ _details

std::string zypp::ProblemSolution::Impl::_details

Definition at line 60 of file ProblemSolution.cc.

## ◆ _actions

SolutionActionList zypp::ProblemSolution::Impl::_actions

Definition at line 61 of file ProblemSolution.cc.

The documentation for this class was generated from the following file:

- zypp/ProblemSolution.cc